TaskRegistryPermission (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.facilities
Class TaskRegistryPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              javacardx.facilities.TaskRegistryPermission

    @TransactionType(value=NOT_SUPPORTED)
    public final class TaskRegistryPermission

extends BasicPermission

This class is for restartable task registry access permissions. A TaskRegistryPermission contains a name (also referred to as a "target name") but no actions list; the named permission is either granted or not.

The target name is the name of the permission (see below). The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear by itself, to signify a wildcard match and therefore designate all permission names.

The possible target names are "task.register" and "task.unregister". Their meaning is defined as follows:

task.register
  register a task. Allows an application to register a restartable task.
task.unregister
  unregister a task. Allows an application to interrupt and unregister a restartable task.

Since:
  Java Card 3.0
See Also:
  `BasicPermission`, `Permission`, `AccessController`, `AccessControlException`

Field Summary
`static String` | `NAME_TASK_REGISTER` The "task.register" name.
`static String` | `NAME_TASK_UNREGISTER` The "task.unregister" name.

Constructor Summary
`TaskRegistryPermission(String name)` Creates a new TaskRegistryPermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_TASK_REGISTER

    public static final String NAME_TASK_REGISTER

  The "task.register" name.

  See Also:
    Constant Field Values

### NAME_TASK_UNREGISTER

    public static final String NAME_TASK_UNREGISTER

  The "task.unregister" name.

  See Also:
    Constant Field Values

Constructor Detail

### TaskRegistryPermission

    public TaskRegistryPermission(String name)

  Creates a new TaskRegistryPermission with the specified name. The name is the symbolic name of the TaskRegistryPermission, such as "task.register" and "task.unregister". An asterisk may be used to designates all the allowed symbolic names.

  Parameters:
    `name` - the name of the TaskRegistryPermission.
  Throws:
    `NullPointerException` - if `name` is `null`.
    `IllegalArgumentException` - if `name` is not a recognized target name.
    `SecurityException` - if `name` is not accessible in the caller's context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.